<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/style.css">
    <script src="../js/socket.io.js" type="text/javascript"></script>
    <title>Document</title>
</head>
<body>
    
    <header class="header">
        <nav class="nav">
            <a href="#" class="logo nav-link" onclick="newload()">AOI - AXI</a>
            <ul class="nav-menu">
                <li class="nav-menu-item"><a href="#" class="nav-menu-link nav-link" onclick="SHconsultar()">Consulta</a></li>
                <li class="nav-menu-item"><a href="#" class="nav-menu-link nav-link" onclick="SHagregar()">Agregar</a></li>
                <li class="nav-menu-item"><a href="#" class="nav-menu-link nav-link" onclick="SHacercade()">Acerca de</a></li>
                <li class="nav-menu-item"><a href="" class="nav-menu-link nav-link">Contacto</a></li>
                <img class="gifmove" src="/img/grafico-de-linea.gif" >
            </ul>
        </nav>
    </header>
    <h1></h1>
    <form id="formulario">
    <div id="mydivform" style="display: none;">
        <section class="form-register">
            <h2>GOLDEN</h2>
            <label for="fname" id="estacion">Estacion</label>
            <input class="controls" type="text" id="myinput" placeholder="ingresa estacion" maxlength="3" onchange="valorinput()" required />
            <label for="fname2" id="idprograma">ID Programa</label>
            <input class="controls" type="text" id="myinput2" placeholder="Ingresa programa" maxlength="16" onchange="valorinput2() " required />
            <label for="fname3" id="componente">Componente</label>
            <input class="controls" type="text" id="myinput3" placeholder="ingresa componente" maxlength="25" onchange="valorinput3()" required />
            <label class="fname4" id="defecto">Defecto</label>
            <input class="controls" type="text" id="myinput4" placeholder="ingresa defecto" maxlength="25" onchange="valorinput4()" required />
            
            <button class="botons"  type="button" id="btninserta" onclick="enviarform()" >agregar</button>
        </section>
    </div>
    <div id="error"></div>
    <div class="contenedor">
        <div  id="formdos" style="display: none;">
            <section class="formdos-register">
                <h2>Consultar Datos</h2>
                <label for="f2name" id="station">Selecciona estacion</label>
                <select id="optionals" class="desplejable" required>
                    <option value="">Seleccione una opción</option>
                    <option value="1">Linea W</option>
                    <option value="2">Linea X</option>
                    <option value="3">Linea Y</option>
                    <option value="4">Linea Z</option>
                </select>
                <label for="f2name" id="station">Selecciona programa</label>
                <select id="optionals2" class="desplejable" required>
                    <option value="">Seleccione una opción</option>
                    <option value="1">Programa1</option>
                    <option value="2">Programa2</option>
                    <option value="3">Programa3</option>
                    <option value="4">Programa4</option>
                    <option value="5">Programa5</option>
                    <option value="6">Programa6</option>
                    <option value="7">Programa7</option>
                    <option value="8">Programa8</option>
                    <option value="9">Programa9</option>
                </select>
                <button class="botonA" type="button" id="btnconsultaAOI" onclick="valoreinput()">AOI</button>
                <select id="options"  class="desplejable" required>
                    <option value="">Seleccione una opción</option>
                    <option value="1">Linea W</option>
                    <option value="2">Linea X</option>
                    <option value="3">Linea Y</option>
                    <option value="4">Linea Z</option>
                </select>
                <button class="botonA" type="button" id="btnconsultaAXI" onclick="valoreinputAXI()">AXI</button>
            </section>
        </div>
        <div id="resultados" class="results" style="display: none;">
            <h1 class="h1result">Resultado consulta</h1>
            <p id="data"></p>
            </div>
        </div>
                <div id="acercad" class="Acercade" style="display: none;" >
                    <h2 class="h2cont">Plataforma de uso para colaboradores Sanmina</h2>
                    <h3 class="h3cont">Para mas información vaya a la opción contacto...</h3>
                    <img src="/img/move2.gif" class="move2">
                </div>
                <div class="showdata" style="display: none;">
                    <h1>Resultados encontrados</h1>
                </div>
        </form>
    <small class="copyright">© 2023 Mayra Ayala Sanmina Coporation</small>
    <script src="../js/main.js"></script>
    <script src="../js/validaciones.js"></script>
    <script src="../js/locations.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
    <script src="../js/sweetAlert.js"></script>
</body>
</html>